<template>
  <base-input
    :label="label"
    :checked="checked"
    :item="item"
    :type="'checkbox'"
    @input="passOn"
  >
    <slot />
  </base-input>
</template>

<script setup lang="ts">
import BaseInput from '@/components/ui/BaseInput.vue';
export interface Props {
  label: string;
  checked: boolean;
  item: any;
}

defineProps<Props>();
const emit = defineEmits(['input']);
const passOn = (checked: boolean) => {
  emit('input', checked);
};
</script>
